// QuantizeDialog.java

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

class QuantizeDialog extends JDialog {
	
Toolkit tk = Toolkit.getDefaultToolkit();
Dimension screenDim = tk.getScreenSize();
TheFrame parent;

int[][] qTableLumi, qTableChro;
	
QuantizeDialog(TheFrame parent, int[][] qTableLumi, int[][] qTableChro)	{
	
	super((JFrame)parent, "The used quantize tables",true);
	setSize(600,350);
	setLocation((screenDim.width-600)/2,(screenDim.height-350)/2);
	
	this.parent = parent;
	this.qTableLumi = qTableLumi;
	this.qTableChro = qTableChro;
										
	JPanel p1 = new JPanel(new GridLayout(8,8)),
		   p2 = new JPanel(new GridLayout(8,8)),
	       p3 = new JPanel(new GridLayout(1,1)),
	       p4 = new JPanel(new GridLayout(1,2,10,0)),
	       p5 = new JPanel(new GridLayout(1,2));	       
		
	JLabel ll[][] = new JLabel[8][8];
	JLabel lc[][] = new JLabel[8][8];
	JLabel LLumi = new JLabel("Luminance",SwingConstants.LEFT);
	JLabel LChro = new JLabel("Chrominance",SwingConstants.RIGHT);
	JButton b = new JButton("Close");
		
	b.addActionListener(
	new ActionListener() { public void actionPerformed(ActionEvent e) { dispose(); } });	
	 			
	for (int u=0; u<=7; u++)
	for (int v=0; v<=7; v++) {			
		ll[u][v] = new JLabel(String.valueOf(qTableLumi[u][v]),SwingConstants.CENTER);
		ll[u][v].setBorder(new SoftBevelBorder(BevelBorder.LOWERED));			
		lc[u][v] = new JLabel(String.valueOf(qTableChro[u][v]),SwingConstants.CENTER);
		lc[u][v].setBorder(new SoftBevelBorder(BevelBorder.LOWERED));			
		p1.add(ll[u][v]);
		p2.add(lc[u][v]);			
	}
		
	p5.add(LLumi);p5.add(LChro);p4.add(p1);p4.add(p2);p3.add(b);		
	getContentPane().add(p5,"North");getContentPane().add(p4,"Center");getContentPane().add(p3,"South");		
			
} // constructor
		
} // end of class